| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::embed_author Struct Reference

Author within a dpp::embed object. More...

`#include <message.h>`

Collaboration diagram for dpp::embed_author:
[legend]

## Public Attributes

std::string | icon_url
| Author icon url.
std::string | name
| Author name.
std::string | proxy_icon_url
| Proxied icon url.
std::string | url
| Author url.

## Detailed Description

Author within a dpp::embed object.

## Member Data Documentation

## ◆ icon_url

std::string dpp::embed_author::icon_url

Author icon url.

Warning
  Only supports http(s) and attachments.

## ◆ name

std::string dpp::embed_author::name

Author name.

## ◆ proxy_icon_url

std::string dpp::embed_author::proxy_icon_url

Proxied icon url.

## ◆ url

std::string dpp::embed_author::url

Author url.

Warning
  Only supports http(s).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0